<?php

namespace App\Http\Requests\Admin;

use Illuminate\Foundation\Http\FormRequest;

class ProductConfigOptionDestroyRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        $productConfigOption = $this->route('productConfigOption');

        return $this->user()->can('delete', $productConfigOption);
    }

    /**
     * Get the validation rules that apply to the request.
     */
    public function rules(): array
    {
        return [
            // Silme işlemi için özel validasyon kuralları eklenebilir
        ];
    }
}
